"""
                             .          .                 ..          .                             
                          $+::;x$    $+::;x$           :X;;;;X+   .$;;;;xX
                        :&&X++X$&&&&&&$x+x$&$.        ;&$X++X$&&&&&$X++X$&X
                     $$X+$$+++++&+::x$+++++&X+$$X :$$x+Xx++++x$+;;XX++++x&++X$x
                   .$$$X+;x$&&$X+:::;x$&&&X++xX$Xx&&$x++x$&&$x+;;;+x$&&$x++x$$xXx
                   :$:;;x&$$+:::::::::::;x$&$;.....x$+x$$X+;;;;;;;;;;;+X$&x;::::+$
                   :$::::::;X$&X+;:;;x$$X+..........X$;;;+X$&x+;;;+x&$x;:::::::::x$
                   :$:::::::::;+x$&$x;:.............:$+;;;;;;+x$&X+;:::::::::::::;$
                   :$::::::::::::+$;.................$x;;;;;;;;+&:::::::::::::::::&
                   :$;:::::::::::+$;.....:;X&&;......&X;;;;;;;;+&:::::::+$&x::::::&
                   :&&Xx;::::::::+$;....:$$$X$&.....:$x;;;;;;;;+&:::::+&XXX$;:::::$
                   :$:;+$&$x;::::+$;....:$$X$$$.....;&X$$X+;;;;+&:::::+&XX$$;::::+$
                   :$:::::;x$$$+;+$;....:$$$&X......X$;;;+X$$x+x&:::::+&$$$;:::::X+
                   :$::::::::;;x$&&;....:xx;:......+$+;;;;;;;+x$&:::::;X+:::::::+$
                   :$::::::::::::+$;..............+$+;;;;;;;;;;+&::::::::::::::+X
                   :$;:::::::::::+$;............;$$+;;;;;;;;;;;+&::::::::::::;$;
                   :$$$x+;:::::::+$;.........:x$;x$X$X++;;;;;;;+&:::::::::;x$:
                   :$:;+X&$X;::::+$;.....:X$$:   :$;;;+$$$+;;;;+&::::::x$$.
                   :$:::::;+$$$x;+$;....:$       :$;;;;;;;x$&X+x&:::::+&
                   :$:::::::::;+X$&;....:$       :$;;;;;;;;;;+x$&:::::+&
                   :$::::::::::::+$;....:$       :$;;;;;;;;;;;;+&:::::+&
                   .$;:::::::::::+$;....:$       .$+;;;;;;;;;;;+&:::::+&
                     x$X+;:::::::+$;....:$         x$x+;;;;;;;;+&:::::+&
                        .$$X+::::+$;..:x$;             X$X+;;;;+&:::;X$
                            :X$X;+$X$$+                   .X&X+x&x$X.
                                .+;                            ;:

            ;;;;:.      :;;;;:     ::      ::   .::::.      :;;;;:     ::      ::   .::::.
            ;;   :;.  :;:    :;:   ;;:    :;;   ::   ::.  :;:    :;:   ;;:    :;;   ::   ::.
            ;;   :;. :;:      :;: .;;:;  .;:;.  ::    :. :;:      :;: .;;:;  .;:;.  ::    :.
            ;;:;;;:  ;;.      .;: .;: :;.;  ;:  :::::::  ;;.      .;: .;: :;.;  ;:  :::::::
            ;;        ;;.    .;;  :;. .;;.  ;;  ::        ;;.    .;;  :;. .;;.  ;;  ::
            ;;         :;;;;;;:   :;        ;;  ::         :;;;;;;:   :;        ;;  ::

"""
"""
Initialize global settings for the pompomp CLI,
including pretty tracebacks via Rich.

To disable enhanced tracebacks, use:

- Bash/zsh:
    POMPOMP_TRACEBACK=0

- PowerShell:
    $env:POMPOMP_TRACEBACK = "0"
"""
import os

from rich.traceback import install

if os.getenv("POMPOMP_TRACEBACK", "1") != "0":
    try:
        terminal_width = os.get_terminal_size().columns
    except OSError:
        terminal_width = 120

    install(
        show_locals=True,
        word_wrap=True,
        width=terminal_width,
        extra_lines=7,
    )
